﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ATTBIZDATA')
 CREATE TABLE T_HSAS_ATTBIZDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FATTBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FTEXTVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDECIMALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEVALUE DATETIME,
FATTSTARTDATE DATETIME,
FATTENDDATE DATETIME,
FUSAGECOUNT INT DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FBATCHNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FIDENTIFYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCSYSTEM VARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FBIZUNIQUECODE VARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ATTBIZDATA_L') 
 CREATE TABLE T_HSAS_ATTBIZDATA_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ATTBIZDATARECORD') 
 CREATE TABLE T_HSAS_ATTBIZDATARECORD (
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FBILLSTATUS VARCHAR(10) DEFAULT 'C' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATASOURCES VARCHAR(10) DEFAULT ' ' NOT NULL,
FBATCHNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCSYSTEM VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FATTSTARTDATE DATETIME,
FATTENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ATTBIZDATARECORD_L') 
 CREATE TABLE T_HSAS_ATTBIZDATARECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_ATTINTEGSUMLOG' AND KSQL_COL_NAME ='FATTDATATYPE') 
 ALTER TABLE T_HSAS_ATTINTEGSUMLOG ADD (FATTDATATYPE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_ATTINTEGSUMLOG' AND KSQL_COL_NAME ='FSTOREPAGE') 
 ALTER TABLE T_HSAS_ATTINTEGSUMLOG ADD (FSTOREPAGE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK_A' AND KSQL_COL_NAME ='FATTSTARTDATE') 
 ALTER TABLE T_HSAS_CALPAYROLLTASK_A ADD (FATTSTARTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK_A' AND KSQL_COL_NAME ='FATTENDDATE') 
 ALTER TABLE T_HSAS_CALPAYROLLTASK_A ADD (FATTENDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYROLLSCENE' AND KSQL_COL_NAME ='FISENABLEATT')
 ALTER TABLE T_HSAS_PAYROLLSCENE ADD (FISENABLEATT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYROLLSCENE' AND KSQL_COL_NAME ='FMATCHATTPERIOD') 
 ALTER TABLE T_HSAS_PAYROLLSCENE ADD (FMATCHATTPERIOD VARCHAR(10) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
